---
title: "X"
description: "X through the shared SNS operations: profiles, posts, an account's recent posts and communities."
---

## Operations

| Operation | Endpoint | Returns | Price |
|---|---|---|---|
| [Profile](/docs/api-reference/x/profile) | `GET \| POST /v1/x/profile` | `Account` | $0.001 |
| [Post](/docs/api-reference/x/post) | `GET \| POST /v1/x/post` | `Post` | $0.001 |
| [Posts](/docs/api-reference/x/posts) | `GET \| POST /v1/x/posts` | `Page<Post>` | $0.001–$0.002 |
| [Group](/docs/api-reference/x/group) | `GET \| POST /v1/x/group` | `Group` | $0.001 |
